ImageMagick-6.4.3 installation problem

Asked by Materialist on 2008-09-01

Binary package hint: imagemagick

Hi,
As a regular user of ImageMagick, I was unsettled by the failure of IM-6.4.3 to install properly on my Ubuntu Hardy system (Toshiba A215-AMD 64 dual core laptop). I am a Linux user - not a comp.sci. specialist. After extracting IM to /usr/local and cd-ing into the IM directory, I followed the <./configure> and <make install> routine. Then, when I typed <make check>, this is what I got:
___________

cd PerlMagick && make CC='gcc -std=gnu99' test
make[3]: Entering directory `/usr/local/ImageMagick-6.4.3/PerlMagick'
/bin/bash ../magick.sh PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t t/zlib/*.t
t/blob............Can't load '/usr/local/ImageMagick-6.4.3/PerlMagick/blib/arch/auto/Image/Magick/Magick.so' for module Image::Magick: libgomp.so.1: shared object cannot be dlopen()ed at /usr/lib/perl/5.8/DynaLoader.pm line 225.
 at t/blob.t line 20
Compilation failed in require at t/blob.t line 20.
BEGIN failed--compilation aborted at t/blob.t line 20.
Deep recursion on subroutine "Image::Magick::AUTOLOAD" at /usr/local/ImageMagick-6.4.3/PerlMagick/blib/lib/Image/Magick.pm line 42.
Out of memory!
___________________
At this point everything on my computer very nearly came to a complete standstill. I also find that I cannot invoke IM by typing <imagemagick> at the command line as I used to previously. Is there a GUI for IM or is it all command-line commands? Any help would be greatly appreciated.

Thanks.

--AB

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu imagemagick Edit question
Assignee:
No assignee Edit question
Last query:
2008-09-02
Last reply:
2008-10-13

This question was originally filed as bug #263722.

Nelson A. de Oliveira (naoliv) said : #1

The user is trying to install ImageMagick by hand (and not using the distro package).

Materialist (materialist) said : #2

Thanks for your response. But I don't see an ImageMagick installation option in the Synaptic applications manager. What's the alternative?

I need to use ImageMagick v6.4.3, the current version of ImageMagick packaged with 8.04.1 (Hardy) is Imagemagick v6.3.7. that version does not support the "-auto-orient" option properly. I'd like to be able to build and install the latest.

Can you help with this problem?

Provide an answer of your own, or ask Materialist for more information if necessary.

To post a message you must log in.